#ifndef STATE_H
#define STATE_H

#include "twn_game_api.h"

#define MAX_BUNNIES 100000 // 100K bunnies limit
#define BUNNY_W 26
#define BUNNY_H 37
#define SPRITE_SCALE 1

typedef struct Bunny
{
    Vec2 position;
    Vec2 speed;
    Color color;
} Bunny;

typedef struct State
{
    Bunny bunnies[MAX_BUNNIES];
    int bunniesCount;
    InputState mouse_state;
} State;

#endif
